## org.apache.tools.ant.taskdefs.compilers
Class Jvc

    java.lang.Object
      org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
          org.apache.tools.ant.taskdefs.compilers.Jvc

All Implemented Interfaces:
  CompilerAdapter

public class Jvc
extends DefaultCompilerAdapter

The implementation of the jvc compiler from microsoft. This is primarily a cut-and-paste from the original javac task before it was refactored.

Since:
  Ant 1.3
Author:
  James Davidson duncan@x180.com, Robin Green greenrd@hotmail.com, Stefan Bodewig, J D Glanville

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, optimize, project, src, target, verbose`

Constructor Summary
`Jvc()`

Method Summary
`boolean` `execute()` Run the compilation.

Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, executeExternalCompile, getCompileClasspath, getJavac, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jvc

    public Jvc()

Method Detail

### execute

    public boolean execute()
                    throws BuildException

  Run the compilation.

  Returns:
    has the compilation been successful
  Throws:
    `BuildException` - if the compilation has problems.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.